Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.messaging
Class JAXMException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.soap.SOAPException
                  javax.xml.messaging.JAXMException

All Implemented Interfaces:
  Serializable

    public class JAXMException

extends javax.xml.soap.SOAPException

An exception that signals that a JAXM exception has occurred. A `JAXMException` object may contain a `String` that gives the reason for the exception, an embedded `Throwable` object, or both. This class provides methods for retrieving reason messages and for retrieving the embedded `Throwable` object.

Typical reasons for throwing a `JAXMException` object are problems such as not being able to send a message and not being able to get a connection with the provider. Reasons for embedding a `Throwable` object include problems such as an input/output errors or a parsing problem, such as an error parsing a header.

See Also:
  Serialized Form

Constructor Summary
`JAXMException()` Constructs a `JAXMException` object with no reason or embedded `Throwable` object.
`JAXMException(String reason)` Constructs a `JAXMException` object with the given `String` as the reason for the exception being thrown.
`JAXMException(String reason, Throwable cause)` Constructs a `JAXMException` object with the given `String` as the reason for the exception being thrown and the given `Throwable` object as an embedded exception.
`JAXMException(Throwable cause)` Constructs a `JAXMException` object initialized with the given `Throwable` object.

Method Summary

Methods inherited from class javax.xml.soap.SOAPException
`getCause, getMessage, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAXMException

    public JAXMException()

  Constructs a `JAXMException` object with no reason or embedded `Throwable` object.

### JAXMException

    public JAXMException(String reason)

  Constructs a `JAXMException` object with the given `String` as the reason for the exception being thrown.

  Parameters:
    `reason` - a `String` giving a description of what caused this exception

### JAXMException

    public JAXMException(String reason,
                         Throwable cause)

  Constructs a `JAXMException` object with the given `String` as the reason for the exception being thrown and the given `Throwable` object as an embedded exception.

  Parameters:
    `reason` - a `String` giving a description of what caused this exception
    `cause` - a `Throwable` object that is to be embedded in this `JAXMException` object

### JAXMException

    public JAXMException(Throwable cause)

  Constructs a `JAXMException` object initialized with the given `Throwable` object.

  Parameters:
    `cause` - a `Throwable` object that is to be embedded in this `JAXMException` object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.